@font-face {
        font-family: Negto;
        src: url('https://raw.githubusercontent.com/0xaphi/Negto_Font/main/Negto.ttf') format('truetype');
        line-height: 1.2em;
        }

html {
    scroll-behavior: smooth;
}

* {
    margin: 0;
    padding: 0;
}


body {
    margin: auto;
    background-color: #fffedb;
}

h1, h2 {
    font-family: Negto;
    text-align: center;
}

p {
    font-family: Futura;
    font-size: 12px;
}

a {
    text-decoration: none;
    list-style-type: none;
}

.main-content {
    padding-top: 8%;
    width: 100%;
    margin: auto;
}

.main-content h1 {
    font-size: 3vw;
    padding-bottom: 2%;
    color: #004a3e;
}

.navi {
    position: fixed;
    z-index: 100;
}

/** Selection Button**/

.pot-row2 {
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 75%;
    margin: auto;
}

.pot-row2 img {
    width: 20%;
}

.pot-row2 img:hover, .pot-row2:hover img {
    rotate: -15deg;
    transition: 0.5s;
}

.pot-col {
    display: flex;
    flex-direction: column;
    width: 80%;
    min-height: fit-content;
    margin: auto;
}

.pot-row2 .text-select {
    width: 50%;
    background-color: #02835D;
    font-size: 2vw;
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: auto;
    margin: 2%;
    box-shadow: 15px 5px #004a3ea6 inset;
}

.text-select a {
    color: #f3ce77;
}

.text-select:hover {
    background-color: #004a3e;
}

.text-select a:hover {
    color: #fffedb;
}

.pot-col h2 {
    text-align: center;
    color:#fffedb;

}

#bush-type {
    background-color: #65b744;
}

#bush-plant {
    background-color: #00835D;
}

/** Select by Type , Select by Plant **/

.selection-list-plant, .selection-list-type {
    width: 100%;
    margin-top: -10px;
    padding-top: 5vh;
    display: block;
    font-family: Futura;
    font-size: 2vw;
    text-align: center;
}

.selection-list-plant h2, .selection-list-type h2 {
    padding-top: 5%;
    color: #00352c;
}

.selection-list-plant img, .selection-list-type img {
    border-radius: 2%;
}

.selection-list-type {
    background-color: #65b744;
}

.selection-list-plant {
    background-color: #00835D;
}

.selection-list-plant a:link, .selection-list-type a:link {
    color: #004a3e;
}

.selection-list-plant a:visited, .selection-list-type a:visited {
    color: #004a3e;
}

.selection-list-plant a:hover, .selection-list-type a:hover {
    color: #65b744;
}

.sel-by-type, .sel-by-plant {
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 75%;
    margin: auto;
    padding-top: 4%;
    box-shadow: 2% 2% rgba(0,0,0,0.8) inset;
}


.sel-by-type li, .sel-by-plant li {
    text-decoration: none;
    list-style-type: none;
    background-color: #fffedb;
    width: 25%;
    padding: 1% 1%;
    margin: auto;
    border-radius: 4%;
    box-shadow: 2% 2% rgba(0,0,0,0.8) inset;
    text-align: center;
    min-height: 100%;
    overflow-y: hidden;
}

.sel-by-type li:hover, .sel-by-plant li:hover {
    transform: translateY(-3%);
    background-color: #f3ce77;
    color: #65b744;
    transition: 0.3s;
}

.sel-by-type img:hover, .sel-by-plant img:hover {
    mix-blend-mode: multiply;
    transition: 0.2s;
}

.sel-by-type, .sel-by-plant li a {
    border-radius: 10px;
    width: 75%;
    margin: auto;
    align-items: center;
    font-size: 1vw;
}

/** Footer **/

footer {
    background-color: #007955;
    color: rgb(170, 255, 127);
    height: 100px;
    font-size: clamp(1rem, calc(0.5rem+1em),1.25rem);
    align-items: center;
    list-style: none;
    list-style-type: none;
    text-decoration: none;
    display: flex;
    flex-direction: row;
    font-family: Negto;
    margin-top: -10px;
}

.footer a, .footer a:visited {
    color: #fffedb;
}

.footer a:hover {
    color: #f3ce77;
}


.footer .left-nav {
    list-style-type: none;
    text-decoration: none;
    width: 50%;
    justify-content: flex-start;
    display: flex;
    flex-direction: row;
    gap: 2%;
    align-items: center;
    margin-left: 20px;
}

.footer .right-nav {
    list-style: none;
    text-decoration: none;
    width: 50%;
    justify-content: flex-end;
    display: flex;
    flex-direction: row;
    gap: 2%;
    margin-right: 20px;
}

@media screen and (max-width:800px) {
    
    .main-content {
        padding-top: 12%;
    }
    
    p {
        font-size: 0.75rem;
    }
    
    .sel-by-type, .sel-by-plant {
        display: flex;
        flex-direction: row;
        margin: 0 auto;
    }
    

    .sel-by-plant li, .sel-by-type li {
        width: 20%;
        column-gap: 2%;
        margin: auto;
        margin-top: 5px;
    }

    .carousel {
        max-width: 75%;
    }

    .explore-pots {
        width: 50%;
        margin: auto;
    }

    .explore-pots img {
        width: 75%;
        margin: auto;
    }

    .explore-pots .explore-pots-buttons, .explore-others {
        display: block;
        width: 100%;
        margin: auto;
    }

    .explore-desktop {
        display: none;
    }


    footer {
        font-size:0.5em;
        height: 5em;
    }

    footer img {
        display: none;
    }
}

@media screen and (max-width: 500px) {
    .sel-by-type, .sel-by-plant {
        display: flex;
        flex-direction: row;
        margin: 0 auto;
        column-count: 1;

    }

    .sel-by-plant li, .sel-by-type li {
        width: 20%;
        column-gap: 2%;
        margin: auto;
        margin-top: 5px;
    }

    .main-content {
        max-width: 100%;
        margin: auto;
    }

    footer {
        font-size:0.5em;
    }

    footer img {
        display: none;
    }

}